#ifndef REGULARSAMPLEGENERATOR_HXX
#define REGULARSAMPLEGENERATOR_HXX

#include "SampleGenerator.hxx"
#include <math.h>

class RegularSampleGenerator : public SampleGenerator 
{
public:
  virtual void GetSamples(int n,float *u, float *v, float *weight)
  {
    

    int m;
    m=int(sqrt(float(n)));
    for (int i=0; i<m;i++){
     
	u[i]=(i+0.5)/m;
	v[i]=(i+0.5)/m;
	weight[i]=1.0/n;
	
      
    }
  };
};

#endif
